Subject: bug#71477: closed (Re: bug#71477: 30.0.50; Lock files are not deleted on Windows 98)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 13 Jun 2024 08:09:01 +0000

Your bug report

#71477: 30.0.50; Lock files are not deleted on Windows 98

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71477: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71477
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#71477: 30.0.50; Lock files are not deleted on Windows 98
From: Eli Zaretskii <[email-masked]>
To: [email-masked], Paul Eggert <[email-masked]>
Cc: [email-masked]
Date: Thu, 13 Jun 2024 11:06:17 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 12 Jun 2024 10:57:10 -0700
> Cc: [email-masked], [email-masked]
> From: Paul Eggert <[email-masked]>
> 
> > Fine with me, please install and I will followup.
> 
> OK, installed.

Thanks, I've now installed the followup bits.  Po Lu, please test if
the result works on Windows 9X when you have time.

I'm closing the bug for now; please reopen with new information if the
new code still doesn't work.

Subject: 30.0.50; Lock files are not deleted on Windows 98
From: Po Lu <[email-masked]>
To: [email-masked]
Date: Mon, 10 Jun 2024 23:07:38 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

With lock files enabled, type C-x C-f C:/WINDOWS/Application Data/.emacs
RET, modify the file, and type C-x C-f, whereupon such a warning will be
displayed:

Warning (unlock-file): Invalid argument, `~/.emacs', ignored

I don't recall whether it was because lock files were disabled on the
same machine that this issue wasn't present in Emacs 28.1, or it was
because the issue was introduced in a subsequent release.